### Hierarchy

- PrintProperty
  - Binding

## Index

### Constructors

- constructor

### Properties

- _path
- _type
- nodeChildDict

### Accessors

- constantValue
- hasAction
- hasConstant
- path
- propertyName
- type

## Constructors

### constructor

- new Binding(node: Node): Binding

- Overrides PrintProperty.constructor

  - Defined in print/PrintForm.ts:341

  #### Parameters

  - ##### node: Node

  #### Returns Binding

## Properties

### Private _path

_path: string

- Defined in print/PrintForm.ts:340

### Private _type

_type: BindingType = BindingType.Data

- Defined in print/PrintForm.ts:341

### Protected nodeChildDict

nodeChildDict: Object

Inherited from Spec.nodeChildDict

- Defined in print/PrintForm.ts:109

## Accessors

### constantValue

- get constantValue(): any

- - Defined in print/PrintForm.ts:346

  #### Returns any

### hasAction

- get hasAction(): boolean

- - Defined in print/PrintForm.ts:356

  #### Returns boolean

### hasConstant

- get hasConstant(): boolean

- - Defined in print/PrintForm.ts:359

  #### Returns boolean

### path

- get path(): string

- - Defined in print/PrintForm.ts:365

  #### Returns string

### propertyName

- get propertyName(): string

- - Defined in print/PrintForm.ts:368

  #### Returns string

### type

- get type(): BindingType

- - Defined in print/PrintForm.ts:381

  #### Returns BindingType

Generated using TypeDoc